### A free/open-source library for quantitative finance

Protected Member Functions | Static Protected Member Functions
Calendar::WesternImpl Class Reference

partial calendar implementation More...

`#include <ql/time/calendar.hpp>`

Inheritance diagram for Calendar::WesternImpl:
[legend]

List of all members.

## Protected Member Functions

bool | isWeekend (Weekday) const

## Static Protected Member Functions

static Day | easterMonday (Year)
| expressed relative to first day of year

## Detailed Description

partial calendar implementation

This class provides the means of determining the Easter Monday for a given year, as well as specifying Saturdays and Sundays as weekend days.